<?php
defined('ABSPATH') || exit;

use WcMipConnector\Enum\MipWcConnector;

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta name="viewport" content="width=device-width" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="robots" content="noindex, nofollow" />
    <title>Multi-Channel Integration Platform</title>
    <?php wp_admin_css( 'install', true ); ?>
    <link rel="stylesheet" href="<?php echo esc_url(str_replace(array( 'http:','https:'), '', plugin_dir_url(__FILE__)) . '../../assets/css/oauth.css'); ?>" type="text/css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css" />
</head>
<body class="wc-auth wp-core-ui">
<h1 id="wc-logo"><img src="<?php echo plugin_dir_url(__FILE__).'../../assets/image/logo.png';?>" alt="" /></h1>
<div class="wc-auth-content">
    <h1>Multi-Channel Integration Platform <?php esc_html_e( 'requests permission to connect to your store','WC-Mipconnector');?></h1>
<p>
    <?php
    esc_html_e('Click on the "Approve" button to accept the permissions and carry out the synchronisation.','WC-Mipconnector');
    ?>
</p>

<div class="wc-auth-logged-in-as">
    <p>
        <?php
        $currentUser = wp_get_current_user();
        /* Translators: %s display name. */
        printf(esc_html__( 'Logged in as %s', 'WC-Mipconnector'), esc_html($currentUser->nickname));
        ?>
        <a href="<?php echo wp_logout_url($_GET['callback-url']); ?>" class="wc-auth-logout"><?php esc_html_e( 'Logout', 'WC-Mipconnector'); ?></a>
</div>
<?php
        if (get_option('woocommerce_version') < MipWcConnector::WC_VERSION) {
    ?>    
        <div class="wc-auth-incompatible-warning fa-exclamation-triangle">
            <p><?php esc_html_e('Incompatible with your version of Woocommerce. Please update the plugin.', 'WC-Mipconnector');?></p>
        </div>
     <?php    
        }
    ?>

<p class="wc-auth-actions">
    <a href="
    <?php
        if (get_option('woocommerce_version') >= MipWcConnector::WC_VERSION) {
            echo esc_attr(get_site_url().'/wcmipconnector/api/grant-access?callback-url='.$_GET['callback-url'].'&shop-url='.$_GET['shop-url']);
        }
    ?>"
    <?php
        if (get_option('woocommerce_version') < MipWcConnector::WC_VERSION) {
            echo 'disabled';
        }
    ?>
    class="button button-primary wc-auth-approve"><?php esc_html_e( 'Approve', 'WC-Mipconnector'); ?></a>
    <a href="<?php echo esc_attr($_GET['callback-url']); ?>" class="button wc-auth-deny"><?php esc_html_e( 'Reject', 'WC-Mipconnector'); ?></a>
</p>

</div>
</body>
</html>

