<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\Attribute;

class AttributeFactory
{
    private const ATTRIBUTE_SLUG = 'Attribute_';

    public function create(array $attribute, array $languages): Attribute
    {
        $attributeModel = new Attribute();
        $attributeModel->slug = self::ATTRIBUTE_SLUG.$attribute['AttributeID'];
        foreach ($attribute['AttributeLangs'] as $attributeLang) {
            if (in_array($attributeLang['IsoCode'], $languages, true)) {
                $attributeModel->name = $attributeLang['AttributeName'];
            }
        }

        return $attributeModel;
    }
}