<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\AttributeGroup;

class AttributeGroupFactory
{
    private const ATTRIBUTE_TYPE = 'select';
    private const ATTRIBUTE_SLUG = 'AttributeGroup_';

    /**
     * @param array $attributeGroup
     * @param array $languages
     * @return AttributeGroup
     */
    public function create(array $attributeGroup, array $languages): AttributeGroup
    {
        $attributeGroupModel = new AttributeGroup();
        $attributeGroupModel->variation = true;
        $attributeGroupModel->visible = true;
        $attributeGroupModel->slug = self::ATTRIBUTE_SLUG.$attributeGroup['AttributeGroupID'];
        $attributeGroupModel->type = self::ATTRIBUTE_TYPE;
        foreach ($attributeGroup['AttributeGroupLangs'] as $attribute) {
            if (in_array($attribute['IsoCode'], $languages, true)) {
                $attributeGroupModel->name = $attribute['AttributeGroupName'];
            }
        }

        return $attributeGroupModel;
    }
}