<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\AttributeGroupMap;

class AttributeGroupMapFactory
{
    /**
     * @param array $attributeGroup
     * @param int   attributeGroupShopId
     * @param array $languages
     * @return AttributeGroupMap
     */
    public function create(array $attributeGroup, int $attributeGroupShopId, array $languages): AttributeGroupMap
    {
        $attributeGroupMapModel = new AttributeGroupMap();
        $attributeGroupMapModel->attributeGroupId = $attributeGroup['AttributeGroupID'];
        $attributeGroupMapModel->shopAttributeGroupId = $attributeGroupShopId;

        foreach ($attributeGroup['AttributeGroupLangs'] as $attributeGroupLang) {
            if (in_array($attributeGroupLang['IsoCode'], $languages, true)) {
                $attributeGroupMapModel->version = json_encode(
                    [
                        $attributeGroupLang['IsoCode'] => $attributeGroupLang['Version'],
                    ]
                );
            }
        }

        return $attributeGroupMapModel;
    }
}