<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\AttributeMap;

class AttributeMapFactory
{
    /**
     * @param array $attributeData
     * @param int $attributeShopId
     * @param array $languages
     * @return AttributeMap
     */
    public function create(array $attributeData, int $attributeShopId, array $languages): AttributeMap
    {
        $attributeMapModel = new AttributeMap();
        $attributeMapModel->attributeId = $attributeData['AttributeID'];
        $attributeMapModel->shopAttributeId = $attributeShopId;

        foreach ($attributeData['AttributeLangs'] as $attributeLang) {
            if (in_array($attributeLang['IsoCode'], $languages, true)) {
                $attributeMapModel->version = json_encode(
                    array(
                        $attributeLang['IsoCode'] => $attributeLang['Version'],
                    )
                );
            }
        }

        return $attributeMapModel;
    }
}