<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\Brand;

class BrandFactory
{
    private const BRAND_PREFIX = 'brand_';
    public const BRAND_NAME = 'Brand';

    /**
     * @param array $brandData
     *
     * @return Brand
     */
    public function create(array $brandData): Brand
    {
        $brandModel = new Brand();
        $brandModel->name = $brandData['BrandName'];
        $brandModel->slug = self::BRAND_PREFIX.$brandData['BrandID'];

        return $brandModel;
    }

    /**
     * @param string $brandName
     * @return array
     */
    public function createGroup(string $brandName): array
    {
        $brandGroup = [
            'name' => $brandName,
            'order_by' => 'name'
        ];

        return $brandGroup;
    }
}