<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\CategoryMap;

class CategoryMapFactory
{
    /**
     * @param array $category
     * @param int|null $categoryId
     * @param array $languages
     * @return CategoryMap
     */
    public function create(array $category, int $categoryId = null, array $languages): CategoryMap
    {
        $categoryMapModel = new CategoryMap();
        $categoryMapModel->categoryId = $category['CategoryID'];
        $categoryMapModel->shopCategoryId = $categoryId;

        foreach ($category['CategoryLangs'] as $categoryLang) {
            if (in_array($categoryLang['IsoCode'], $languages, true)) {
                $categoryMapModel->version = json_encode(
                    array(
                        'version' => $category['Version'],
                        $categoryLang['IsoCode'] => $categoryLang['Version'],
                    )
                );
            }
        }

        return $categoryMapModel;
    }
}