<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\ProductMap;

class ProductMapFactory
{
    private const RESET_VERSION = 0;

    /**
     * @param array $product
     * @param int   productShopId
     * @param array $languages
     * @return ProductMap
     */
    public function create(array $product, int $productShopId, array $languages): ProductMap
    {
        $productMapModel = new ProductMap();
        $productMapModel->productId = $product['ProductID'];
        $productMapModel->shopProductId = $productShopId;

        foreach ($product['ProductLangs'] as $productLang) {
            if (in_array($productLang['IsoCode'], $languages, true)) {
                $productMapModel->version = json_encode(
                    [
                        'version' => $product['Version'],
                        $productLang['IsoCode'] => $productLang['Version'],
                    ]
                );
            }
        }

        return $productMapModel;
    }

    /**
     * @param int $productId
     * @param int   productShopId
     *
     * @return ProductMap
     */
    public function createUnPublish(int $productId, int $productShopId): ProductMap
    {
        $productMapModel = new ProductMap();
        $productMapModel->productId = $productId;
        $productMapModel->shopProductId = $productShopId;
        $productMapModel->version = json_encode(
            [
                'version' => self::RESET_VERSION
            ]
        );

        return $productMapModel;
    }
}