<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Model\FileReport;
use WcMipConnector\Model\StatusReportModel;
use WcMipConnector\Model\ProductReport;
use WcMipConnector\Model\CategoryReport;
use WcMipConnector\Model\VariationReport;

class StatusReportFactory
{
    /**
     * @param string $requestDate
     * @param array $accountInfoReport
     * @param array $languageReport
     * @param FileReport $fileReport
     * @param ProductReport $productReport
     * @param CategoryReport $categoriesReport
     * @param VariationReport $variationsReport
     *
     * @return StatusReportModel
     */
    public static function create(string $requestDate, array $accountInfoReport, array $languageReport, FileReport $fileReport, ProductReport $productReport, CategoryReport $categoriesReport, VariationReport $variationsReport): StatusReportModel
    {
        $statusReportModel = new StatusReportModel();

        $statusReportModel->requestDate = $requestDate;
        $statusReportModel->accountInfoReport = $accountInfoReport;
        $statusReportModel->languages = $languageReport;
        $statusReportModel->filesReport = $fileReport;
        $statusReportModel->ProductsReport = $productReport;
        $statusReportModel->CategoriesReport = $categoriesReport;
        $statusReportModel->ProductVariationsReport = $variationsReport;

        return $statusReportModel;
    }
}