<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\TagLang;
use WcMipConnector\Entity\Tag;

class TagFactory
{
    private const TAG_PREFIX = 'tag_';

    /**
     * @param array $tagData
     * @param array $languages
     * @return Tag
     */
    public function create(array $tagData, array $languages): Tag
    {
        $tagModel = new Tag();
        $tagLangModel = $this->createLang($tagData['TagLangs'], $languages);
        $tagModel->name = $tagLangModel->name;
        $tagModel->slug = self::TAG_PREFIX.$tagData['TagID'];

        return $tagModel;
    }

    /**
     * @param array $tagData
     * @param array $languages
     * @return TagLang
     */
    private function createLang(array $tagData, array $languages): TagLang
    {
        $tagLangModel = new TagLang();

        foreach ($tagData as $tagLang) {
            if (in_array($tagLang['IsoCode'], $languages, true)) {
                $tagLangModel->name = $tagLang['TagName'];
            }
        }
        return $tagLangModel;
    }
}