<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\TagMap;

class TagMapFactory
{
    /**
     * @param array $tag
     * @param int|null $tagId
     * @param array $languages
     * @return TagMap
     */
    public function create(array $tag, int $tagId = null, array $languages): TagMap
    {
        $tagMapModel = new TagMap();
        $tagMapModel->tagId = $tag['TagID'];
        $tagMapModel->shopTagId = $tagId;

        foreach ($tag['TagLangs'] as $tagLang) {
            if (in_array($tagLang['IsoCode'], $languages, true)) {
                $tagMapModel->version = json_encode(
                    [
                        $tagLang['IsoCode'] => $tagLang['Version']
                    ]
                );
            }
        }

        return $tagMapModel;
    }
}