<?php

namespace WcMipConnector\Factory;

use WcMipConnector\Entity\UnPublishProduct;

class UnPublishFactory
{
    private const DISABLED_PRODUCT = 'private';
    private const CATALOG_VISIBILITY = 'hidden';

    /**
     * @param array $productData
     * @param int   $productShopId
     *
     * @return UnPublishProduct
     */
    public function create(array $productData, int $productShopId): UnPublishProduct
    {
        $disable = new UnPublishProduct();
        $disable->id = $productShopId;
        $disable->stock = $productData['Stock'];
        $disable->status = self::DISABLED_PRODUCT;
        $disable->catalog_visibility = self::CATALOG_VISIBILITY;

        return $disable;
    }
}