<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Service\WoocommerceApiConnectionService;
use WcMipConnector\Repository\AttributeGroupRepository;

class AttributeGroupManager
{
    /** @var WoocommerceApiConnectionService */
    protected $apiConnectionService;
    /** @var AttributeGroupRepository */
    protected $repository;

    private const END_POINT_BATCH = 'products/attributes/batch';

    public function __construct()
    {
        $this->apiConnectionService = new WoocommerceApiConnectionService();
        $this->repository = new AttributeGroupRepository();
    }

    /**
     * @param array $attributeGroupMapIds
     *
     * @return array
     */
    public function findByAttributeGroupShopIdsIndexedByAttributeGroupId(array $attributeGroupMapIds): array
    {
        return $this->repository->findByAttributeGroupShopIdsIndexedByAttributeGroupId($attributeGroupMapIds);
    }

    /**
     * @param array $attributeGroupRequest
     *
     * @return array
     */
    public function save(array $attributeGroupRequest): array
    {
        return $this->apiConnectionService->post(self::END_POINT_BATCH, $attributeGroupRequest);
    }
}