<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Service\WoocommerceApiConnectionService;
use WcMipConnector\Repository\AttributeRepository;

class AttributeManager
{
    /** @var WoocommerceApiConnectionService */
    protected $apiConnectionService;
    /** @var AttributeRepository */
    protected $repository;

    private const END_POINT_BATCH = 'products/attributes/';
    private const TERMS_END_POINT_BATCH = '/terms/batch';

    public function __construct()
    {
        $this->apiConnectionService = new WoocommerceApiConnectionService();
        $this->repository = new AttributeRepository();
    }

    /**
     * @param array $attributeMapIds
     *
     * @return array
     */
    public function findByAttributeShopIdsIndexedByAttributeId(array $attributeMapIds): array
    {
        return $this->repository->findByAttributeShopIdsIndexedByAttributeId($attributeMapIds);
    }

    /**
     * @param array $attributeRequest
     * @param int $attributeParentId
     *
     * @return array
     */
    public function save(array $attributeRequest, int $attributeParentId): array
    {
        return $this->apiConnectionService->post(self::END_POINT_BATCH . $attributeParentId . self::TERMS_END_POINT_BATCH, $attributeRequest);
    }
}