<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\ImportProcessTag;
use WcMipConnector\Repository\ImportProcessTagRepository;

class ImportProcessTagManager
{
    /** @var ImportProcessTagRepository */
    private $importProcessRepository;

    public function __construct()
    {
        $this->importProcessRepository = new ImportProcessTagRepository();
    }

    /**
     * @param ImportProcessTag $importProcess
     *
     * @return bool
     * @throws \Exception
     */
    public function replace(ImportProcessTag $importProcess): bool
    {
        $dateNow = new \DateTime('now', new \DateTimeZone('UTC'));

        $data = [
            'tag_id' => $importProcess->tagMapId,
            'file_id' => $importProcess->fileId,
            'response_api' => $importProcess->response,
            'date_add' => $dateNow->format('Y-m-d H:i:s'),
            'date_update' => $dateNow->format('Y-m-d H:i:s')
        ];

        return $this->importProcessRepository->replace($data);
    }
}