<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Entity\ImportProcessVariation;
use WcMipConnector\Repository\ImportProcessVariationRepository;

class ImportProcessVariationManager
{
    /** @var ImportProcessVariationRepository */
    private $importProcessRepository;

    public function __construct()
    {
        $this->importProcessRepository = new ImportProcessVariationRepository();
    }

    /**
     * @param ImportProcessVariation $importProcess
     *
     * @return bool
     */
    public function replace(ImportProcessVariation $importProcess): bool
    {
        $dateNow = new \DateTime('now', new \DateTimeZone('UTC'));

        $data = [
            'variation_id' => $importProcess->variationMapId,
            'file_id' => $importProcess->fileId,
            'response_api' => $importProcess->response,
            'date_add' => $dateNow->format('Y-m-d H:i:s'),
            'date_update' => $dateNow->format('Y-m-d H:i:s'),
        ];

        return $this->importProcessRepository->replace($data);
    }
}