<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Exception\WooCommerceApiConnectionException;
use WcMipConnector\Service\WoocommerceApiConnectionService;

class LanguageReportManager
{
    public const SYSTEM_STATUS_END_POINT = 'system_status';

    /** @var WoocommerceApiConnectionService */
    protected $apiConnection;

    /** LanguageReportManager constructor */
    public function __construct()
    {
        $this->apiConnection = new WoocommerceApiConnectionService();
    }

    /**
     * @return string
     * @throws WooCommerceApiConnectionException
     */
    public function getDefaultLanguageIsoCode(): string
    {
        $systemStatusReport = $this->apiConnection->get(self::SYSTEM_STATUS_END_POINT);
        return $systemStatusReport['environment']['language'];
    }
}