<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Exception\WooCommerceApiConnectionException;
use WcMipConnector\Service\WoocommerceApiConnectionService;

class TaxesManager
{
    private const TAXES_ENDPOINT = 'taxes';

    /**
     * @var WoocommerceApiConnectionService
     */
    private $woocommerceApiConnectionService;

    public function __construct()
    {
        $this->woocommerceApiConnectionService = new WoocommerceApiConnectionService();
    }

    /**
     * @return array
     * @throws WooCommerceApiConnectionException
     */
    public function getTaxes(): array
    {
        return $this->woocommerceApiConnectionService->get(self::TAXES_ENDPOINT);
    }
}