<?php

namespace WcMipConnector\Manager;

defined('ABSPATH') || exit;

use WcMipConnector\Repository\WoocommerceApiConnectionRepository;

class WoocommerceApiConnectionManager
{
    /** @var WoocommerceApiConnectionRepository */
    protected $woocommerceApiConnectionRepository;

    public function __construct()
    {
        $this->woocommerceApiConnectionRepository = new WoocommerceApiConnectionRepository();
    }

    /**
     * @return string
     */
    public function getOptionBySiteUrl(): string
    {
        return $this->woocommerceApiConnectionRepository->getOptionBySiteUrl();
    }

    /**
     * @return string
     */
    public function getAccessToken(): string
    {
        return $this->woocommerceApiConnectionRepository->getAccessToken();
    }

    /**
     * @return string
     */
    public function getSecretKey(): string
    {
        return $this->woocommerceApiConnectionRepository->getSecretKey();
    }

    /**
     * @param string $access
     */
    public function saveAccessToken(string $access): void
    {
        $this->woocommerceApiConnectionRepository->saveAccessToken($access);
    }

    /**
     * @param string $secret
     */
    public function saveSecretKey(string $secret): void
    {
        $this->woocommerceApiConnectionRepository->saveSecretKey($secret);
    }

    /**
     * @param string $tagOption
     */
    public function saveBlackFridayOption(string $tagOption): void
    {
        $this->woocommerceApiConnectionRepository->saveBlackFridayOption($tagOption);
    }

    /**
     * @return string
     */
    public function getTagOption(): bool
    {
        return $this->woocommerceApiConnectionRepository->getTagOption();
    }

    /**
     * @param int $sendEmail
     * @return bool
     */
    public function saveSendEmailConfiguration(int $sendEmail): bool
    {
        return $this->woocommerceApiConnectionRepository->saveSendEmailConfiguration($sendEmail);
    }

    /**
     * @return bool
     */
    public function getSendEmailConfiguration(): bool
    {
        return $this->woocommerceApiConnectionRepository->getSendEmailConfiguration();
    }

    /**
     * @param int $bigbuyCarrierOption
     * @return bool
     */
    public function saveBigBuyCarrierOption(int $bigbuyCarrierOption): bool
    {
        return $this->woocommerceApiConnectionRepository->saveBigBuyCarrierOption($bigbuyCarrierOption);
    }

    /**
     * @return bool
     */
    public function getBigBuyCarrierOption(): bool
    {
        return $this->woocommerceApiConnectionRepository->getBigBuyCarrierOption();
    }
}