<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class AttributeGroupMapRepository
{
    private const TABLE_NAME = 'mipconnector_attribute_group_map';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $attributeGroupMapIds
     *
     * @return array
     */
    public function findByAttributeGroupMapIdsIndexedByAttributeGroupMapId(array $attributeGroupMapIds): array
    {
        if (empty($attributeGroupMapIds)){
            return [];
        }

        $sql = 'SELECT attribute_group_id, attribute_group_shop_id FROM '.$this->tableName.' WHERE attribute_group_id IN ('.implode(',',$attributeGroupMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'attribute_group_shop_id', 'attribute_group_id');
    }

    /**
     * @param array $attributeGroupMapIds
     *
     * @return array
     */
    public function findVersionsIndexedByAttributeGroupMapId(array $attributeGroupMapIds): array
    {
        if (empty($attributeGroupMapIds)){
            return [];
        }

        $sql = 'SELECT attribute_group_id, version FROM '.$this->tableName.' WHERE attribute_group_id IN ('.implode(',',$attributeGroupMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'version', 'attribute_group_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function save(array $data): bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data
        );
    }

    /**
     * @param array $data
     * @param array $filter
     *
     * @return bool
     */
    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter
        );
    }
}