<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class AttributeGroupRepository
{
    private const TABLE_NAME = 'woocommerce_attribute_taxonomies';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $attributeGroupShopIds
     *
     * @return array
     */
    public function findByAttributeGroupShopIdsIndexedByAttributeGroupId(array $attributeGroupShopIds): array
    {
        if (empty($attributeGroupShopIds)){
            return [];
        }

        $sql = 'SELECT attribute_id FROM '.$this->tableName.' WHERE attribute_id IN ('.implode(',',$attributeGroupShopIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'attribute_id', 'attribute_id');
    }
}