<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class AttributeMapRepository
{
    private const TABLE_NAME = 'mipconnector_attribute_map';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $attributeMapIds
     *
     * @return array
     */
    public function findByAttributeMapIdsIndexedByAttributeMapId(array $attributeMapIds): array
    {
        if (empty($attributeMapIds)){
            return [];
        }

        $sql = 'SELECT attribute_id, attribute_shop_id FROM '.$this->tableName.' WHERE attribute_id IN ('.implode(',',$attributeMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'attribute_shop_id', 'attribute_id');
    }

    /**
     * @param array $attributeMapIds
     *
     * @return array
     */
    public function findVersionsIndexedByAttributeMapId(array $attributeMapIds): array
    {
        if (empty($attributeMapIds)){
            return [];
        }

        $sql = 'SELECT attribute_id, version FROM '.$this->tableName.' WHERE attribute_id IN ('.implode(',',$attributeMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'version', 'attribute_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function save(array $data): bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data);
    }

    /**
     * @param array $data
     * @param array $filter
     *
     * @return bool
     */
    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter);
    }
}