<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class AttributeRepository
{
    private const TABLE_NAME = 'terms';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $attributeShopIds
     *
     * @return array
     */
    public function findByAttributeShopIdsIndexedByAttributeId(array $attributeShopIds): array
    {
        if (empty($attributeShopIds)){
            return [];
        }

        $sql = 'SELECT term_id FROM '.$this->tableName.' WHERE term_id IN ('.implode(',',$attributeShopIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'term_id', 'term_id');
    }
}