<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class BrandMapRepository
{
    private const TABLE_NAME = 'mipconnector_brand_map';

    protected $woocommerceClass;
    protected $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $brandMapIds
     *
     * @return array
     */
    public function findByBrandMapIdsIndexedByBrandMapId(array $brandMapIds): array
    {
        if (empty($brandMapIds)){
            return [];
        }

        $sql = 'SELECT brand_id, brand_shop_id FROM '.$this->tableName.' WHERE brand_id IN ('.implode(',',$brandMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'brand_shop_id', 'brand_id');
    }

    /**
     * @param array $brandMapIds
     *
     * @return array
     */
    public function findVersionsIndexedByBrandMapId(array $brandMapIds): array
    {
        if (empty($brandMapIds)){
            return [];
        }

        $sql = 'SELECT brand_id, version FROM '.$this->tableName.' WHERE brand_id IN ('.implode(',',$brandMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'version', 'brand_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function save(array $data): bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data);
    }

    /**
     * @param array $data
     * @param array $filter
     *
     * @return bool
     */
    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter);
    }
}