<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class BrandRepository
{
    private const TABLE_TERMS = 'terms';
    private const TABLE_TAXONOMIES = 'woocommerce_attribute_taxonomies';

    protected $woocommerceClass;
    protected $tableTerms;
    protected $tableTaxonomies;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableTerms = $this->woocommerceClass->prefix.self::TABLE_TERMS;
        $this->tableTaxonomies = $this->woocommerceClass->prefix.self::TABLE_TAXONOMIES;
    }

    /**
     * @param array $brandShopIds
     *
     * @return array
     */
    public function findByBrandShopIdsIndexedByBrandId(array $brandShopIds): array
    {
        if (empty($brandShopIds)){
            return [];
        }

        $sql = 'SELECT term_id FROM '.$this->tableTerms.' WHERE term_id IN ('.implode(',',$brandShopIds).')';

        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'term_id', 'term_id');
    }

    /**
     * @param int $brandId
     *
     * @return \stdClass| null
     */
    public function findById(int $brandId)
    {
        $sql = 'SELECT attribute_id FROM '.$this->tableTaxonomies.' WHERE attribute_id = '.$brandId;

        return $this->woocommerceClass->get_row($sql);
    }
}