<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class ImportProcessProductRepository
{
    private const TABLE_NAME = 'mipconnector_import_process_product';

    /** @var \wpdb */
    protected $woocommerceClass;
    /** @var string */
    protected $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $productIds
     * @param int   $fileId
     *
     * @return array
     */
    public function getProcessedProducts(array $productIds, int $fileId): array
    {
        if (empty($productIds)) {
            return [];
        }

        $sql = 'SELECT product_id FROM '.$this->tableName.' WHERE product_id IN ('.implode(',', $productIds).') AND file_id = '.$fileId.' AND response_api = 1';

        $result = $this->woocommerceClass->get_results($sql);

        return array_column($result, 'product_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function replace(array $data): bool
    {
        return $this->woocommerceClass->replace($this->tableName, $data);
    }
}