<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class OAuthRepository
{
    private const API_KEYS_TABLE = 'woocommerce_api_keys';

    public function insert(array $data): bool
    {
        global $wpdb;

        return $wpdb->insert($wpdb->prefix.self::API_KEYS_TABLE, $data);
    }

    public function updatePluginCredentials(string $consumerKey, string $consumerSecret): bool
    {
        return update_option('WC_MIPCONNECTOR_ACCESS_TOKEN', $consumerKey) && update_option(
                'WC_MIPCONNECTOR_SECRET_KEY',
                $consumerSecret
            );
    }

    /**
     * @param array $data
     * @return array|object|null
     */
    public function checkIfExistsApiAccess(array $data)
    {
        global $wpdb;

        $sql = 'SELECT * FROM '.$wpdb->prefix.self::API_KEYS_TABLE.'
                WHERE description = "'.$data['description'].'" AND user_id = "'.$data['user_id'].'" 
                AND permissions = "'.$data['permissions'].'" AND truncated_key = "'.$data['truncated_key'].'" 
                AND consumer_secret = "'.$data['consumer_secret'].'";';

        return $wpdb->get_results($sql, ARRAY_A);
    }
}