<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class OrderLogRepository
{
    private const TABLE_NAME = 'mipconnector_order_log';

    protected $woocommerceClass;
    protected $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    public function getByOrderId(int $orderId): ?array
    {
        $sql = 'SELECT * FROM '.$this->tableName.' WHERE order_id = "'.$orderId.'"';

        return $this->woocommerceClass->get_row($sql, ARRAY_A);
    }

    public function save(array $data): ?bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data);
    }

    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter);
    }

    public function getOrdersWithoutShippingByDate(string $date): ?array
    {
        $sql = 'SELECT * FROM '.$this->tableName.' WHERE date_add > "'.$date.'"';

        return $this->woocommerceClass->get_results($sql, ARRAY_A);
    }
}