<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class TagMapRepository
{
    private const TABLE_NAME = 'mipconnector_tag_map';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $tagMapIds
     *
     * @return array
     */
    public function findByTagMapIdsIndexedByTagMapId(array $tagMapIds): array
    {
        if (empty($tagMapIds)){
            return [];
        }

        $sql = 'SELECT tag_id, tag_shop_id FROM '.$this->tableName.' WHERE tag_id IN ('.implode(',',$tagMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'tag_shop_id', 'tag_id');
    }

    /**
     * @param array $tagMapIds
     *
     * @return array
     */
    public function findVersionsIndexedByTagMapId(array $tagMapIds): array
    {
        if (empty($tagMapIds)){
            return [];
        }

        $sql = 'SELECT tag_id, version FROM '.$this->tableName.' WHERE tag_id IN ('.implode(',',$tagMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'version', 'tag_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function save(array $data): bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data);
    }

    /**
     * @param array $data
     * @param array $filter
     *
     * @return bool
     */
    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter);
    }

    /**
     * @param string $data
     * @return int
     */
    public function delete(string $data): int
    {
        $sql = 'DELETE FROM '.$this->tableName.' WHERE tag_shop_id IN ('.$data.')';
        return $this->woocommerceClass->query($sql);
    }
}