<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class TagRepository
{
    private const TABLE_NAME = 'terms';

    protected $woocommerceClass;
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $tagShopIds
     *
     * @return array
     */
    public function findByTagShopIdsIndexedByTagId(array $tagShopIds): array
    {
        if (empty($tagShopIds)){
            return [];
        }

        $sql = 'SELECT term_id FROM '.$this->tableName.' WHERE term_id IN ('.implode(',',$tagShopIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'term_id', 'term_id');
    }

    /**
     * @param string $tagName
     *
     * @return string|null
     */
    public function findByName(string $tagName):?string
    {
        $sql = 'SELECT `term_id` FROM '.$this->tableName.' WHERE `name` = "'.$tagName.'"';
        $result = $this->woocommerceClass->get_row($sql, ARRAY_A);
        if (!$result['term_id']){
            return null;
        }

        return $result['term_id'];
    }
}