<?php

namespace WcMipConnector\Repository;

defined('ABSPATH') || exit;

class VariationMapRepository
{
    private const TABLE_NAME = 'mipconnector_variation_map';

    /** @var \wpdb */
    protected $woocommerceClass;
    /** @var string */
    private $tableName;

    public function __construct()
    {
        global $wpdb;
        $this->woocommerceClass = $wpdb;
        $this->tableName = $this->woocommerceClass->prefix.self::TABLE_NAME;
    }

    /**
     * @param array $variationMapIds
     *
     * @return array
     */
    public function findByVariationMapIdsIndexedByVariationMapId(array $variationMapIds): array
    {
        if (empty($variationMapIds)){
            return [];
        }

        $sql = 'SELECT variation_id, variation_shop_id FROM '.$this->tableName.' WHERE variation_id IN ('.implode(',',$variationMapIds).')';
        $result = $this->woocommerceClass->get_results($sql, ARRAY_A);

        return array_column($result, 'variation_shop_id', 'variation_id');
    }

    /**
     * @param array $data
     *
     * @return bool
     */
    public function save(array $data): bool
    {
        return $this->woocommerceClass->insert($this->tableName, $data);
    }

    /**
     * @param array $data
     * @param array $filter
     *
     * @return bool
     */
    public function update(array $data, array $filter): bool
    {
        return $this->woocommerceClass->update($this->tableName, $data, $filter);
    }
}