<?php

namespace WcMipConnector\Service;

defined('ABSPATH') || exit;

use WcMipConnector\Factory\AccountInfoReportFactory;
use WcMipConnector\Manager\AccountInfoReportManager;

class AccountInfoReportService
{
    protected $accountInfoReportManager;

    /**
     * AccountInfoReportService constructor.
     */
    public function __construct()
    {
        $this->accountInfoReportManager = new AccountInfoReportManager();
    }

    /**
     * @return array|null
     * @throws \WcMipConnector\Exception\WooCommerceApiConnectionException
     */
    public function get(): ?array
    {
        $accountInfoReport =  $this->accountInfoReportManager->get();

        $accountInfoReportModel = AccountInfoReportFactory::create($accountInfoReport);

        return json_decode(json_encode($accountInfoReportModel), true);
    }

    public function getWoocommerceReport()
    {
        $accountInfoReport =  $this->accountInfoReportManager->get();
        $accountInfoReportModel = AccountInfoReportFactory::createWoocommerceReport($accountInfoReport);

        return json_decode(json_encode($accountInfoReportModel), true);
    }
}