<?php

namespace WcMipConnector\Service;

defined('ABSPATH') || exit;

use WcMipConnector\Enum\ImportProcessResponse;
use WcMipConnector\Factory\ImportProcessAttributeGroupFactory;
use WcMipConnector\Manager\ImportProcessAttributeGroupManager;

class ImportProcessAttributeGroupService implements ImportProcessInterface
{
    /** @var ImportProcessAttributeGroupManager */
    protected $importProcessManager;

    public function __construct()
    {
        $this->importProcessManager = new ImportProcessAttributeGroupManager();
    }

    /**
     * @param int    $attributeGroupId
     * @param int    $fileId
     *
     * @return bool
     */
    public function setSuccess(int $attributeGroupId, int $fileId): bool
    {
        $importProcessFactory = new ImportProcessAttributeGroupFactory();
        $importProcess = $importProcessFactory->create($attributeGroupId, $fileId, ImportProcessResponse::SUCCESS_PROCESS);

        return $this->importProcessManager->replace($importProcess);
    }

    /**
     * @param int    $attributeGroupId
     * @param int    $fileId
     *
     * @return bool
     */
    public function setFailure(int $attributeGroupId, int $fileId): bool
    {
        $importProcessFactory = new ImportProcessAttributeGroupFactory();
        $importProcess = $importProcessFactory->create($attributeGroupId, $fileId, ImportProcessResponse::FAIL_PROCESS);

        return $this->importProcessManager->replace($importProcess);
    }
}