<?php

namespace WcMipConnector\Service;

defined('ABSPATH') || exit;

use WcMipConnector\Factory\ProductMapFactory;
use WcMipConnector\Manager\ProductMapManager;

class ProductMapService
{
    /** @var ProductMapManager */
    protected $productMapManager;

    public function __construct()
    {
        $this->productMapManager = new ProductMapManager();
    }

    public function processMap($productApiResponse, $product)
    {
        $productMapFactory = new ProductMapFactory();
        $productMap = $productMapFactory->create($productApiResponse, $product);

        $result = $this->exists($productMap->productId);

        if (!$result) {
            $this->productMapManager->createProductMap($productMap);

            return;
        }

        $this->productMapManager->updateMap($productMap);

    }

    public function exists($productMap)
    {
        return $this->productMapManager->findById($productMap);
    }
}