<?php

namespace WcMipConnector\Service;

defined('ABSPATH') || exit;

use WcMipConnector\Exception\WooCommerceApiConnectionException;
use WcMipConnector\Manager\SystemManager;
use WcMipConnector\Manager\TaxesManager;

class TaxesService
{
    /**
     * @var TaxesManager
     */
    private $manager;

    public function __construct()
    {
        $this->manager = new TaxesManager();
    }

    /**
     * @return array
     * @throws WooCommerceApiConnectionException
     */
    public function getTaxes(): array
    {
        $shopTaxes = [];
        $woocommerceDefaultCountryIsoCode = $this->getWoocommerceDefaultCountryIsoCode();
        $taxes = $this->manager->getTaxes();
        foreach ($taxes as $tax) {
            if (($tax['country'] === $woocommerceDefaultCountryIsoCode) || (empty($tax['country']) && empty($tax['state']) && empty($tax['postcode']) && empty($tax['city']))) {
                $shopTax['TaxID'] = $tax['id'];
                $shopTax['Name'] = $tax['name'];
                $shopTax['Rate'] = $tax['rate'];
                $shopTaxes['Taxes'][] =  $shopTax;
            }
        }

        return $shopTaxes;
    }

    /**
     * @return string
     */
    private function getWoocommerceDefaultCountryIsoCode(): string
    {
        $systemManager = new SystemManager();
        $woocommerceDefaultCountryIsoCode = explode(':', $systemManager->getWoocommerceDefaultCountryIsoCode());
        return $woocommerceDefaultCountryIsoCode[0];
    }
}